---
title: users
type: docs
---

[![Source Code](https://img.shields.io/badge/gitea-source%20code-blue?logo=gitea&logoColor=white)](https://gitea.rknet.org/ansible/xoxys.users) [![Build Status](https://img.shields.io/drone/build/ansible/xoxys.users?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/ansible/xoxys.users) [![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](https://gitea.rknet.org/ansible/xoxys.users/src/branch/main/LICENSE)

Manage users and default bash environment.

<!--more-->

- [Default Variables](#default-variables)
  - [users_bash_bashrc_overrides](#users_bash_bashrc_overrides)
  - [users_default_groups](#users_default_groups)
  - [users_default_inactive](#users_default_inactive)
  - [users_default_users](#users_default_users)
  - [users_global_bash_aliases](#users_global_bash_aliases)
  - [users_global_umask](#users_global_umask)
  - [users_pass_min_day](#users_pass_min_day)
  - [users_password_pam_minclass](#users_password_pam_minclass)
  - [users_password_pam_minlen](#users_password_pam_minlen)
  - [users_password_pam_retry](#users_password_pam_retry)
- [Dependencies](#dependencies)

---

## Default Variables

### users_bash_bashrc_overrides

#### Default value

```YAML
users_bash_bashrc_overrides: []
```

#### Example usage

```YAML
users_bash_bashrc_overrides:
  - /etc/skel/.bashrc
  - /root/.bashrc
```

### users_default_groups

#### Default value

```YAML
users_default_groups: []
```

### users_default_inactive

#### Default value

```YAML
users_default_inactive: -1
```

### users_default_users

#### Default value

```YAML
users_default_users: []
```

#### Example usage

```YAML
users_default_users:
  - name: admin
    groups:
      - wheel
    password: "secure"
    sshkeys: |
      "ssh-ed25519 AAAA..."
    shell: /bin/bash
```

### users_global_bash_aliases

#### Default value

```YAML
users_global_bash_aliases:
  - alias: ll
    command: ls -lh
  - alias: la
    command: ls -lha
```

### users_global_umask

#### Default value

```YAML
users_global_umask: '022'
```

### users_pass_min_day

#### Default value

```YAML
users_pass_min_day: 1
```

### users_password_pam_minclass

#### Default value

```YAML
users_password_pam_minclass: 4
```

### users_password_pam_minlen

#### Default value

```YAML
users_password_pam_minlen: 14
```

### users_password_pam_retry

#### Default value

```YAML
users_password_pam_retry: 3
```



## Dependencies

None.
